<template lang="pug">
.navbar-menu
	.navbar-start
		router-link.navbar-item( :to='{ name: "Chats" }' ) Чаты
		router-link.navbar-item( :to='{ name: "Groups" }' ) Группы
		router-link.navbar-item( :to='{ name: "Campagins" }' ) Рассылки
		router-link.navbar-item( v-if='isRoot' :to='{ name: "Users" }' ) Менеджеры
	.navbar-end
		a.navbar-item( @click='logout' )
			span.icon.is-medium
				i.fa-solid.fa-right-from-bracket.fa-lg
</template>

<script setup>
import { useUserStore } from "@/stores/user"
import { useSocket } from "@/stores/socket"
import { useRouter } from "vue-router"
import { computed, nextTick } from "vue"

const io = useSocket()
const us = useUserStore()
const $router = useRouter()

const isRoot = computed(() => us.isRoot)

const logout = async () => {
	await us.logout()
	$router.push({ name: "Login" })
}
</script>

<style lang="scss" scoped>

</style>